# Models

## The AppleMerchantSessionResponsePayload object

```json
{"openapi":"3.0.1","info":{"title":"Apple Merchant","version":"2.0"},"components":{"schemas":{"AppleMerchantSessionResponsePayload":{"type":"object","properties":{"merchantSession":{"type":"string","description":"The merchant session returned by Apple to process an Apple Pay for Web transaction."},"payloadType":{"type":"string","description":"The type of payload returned in the response.","xml":{"name":"type","attribute":true}}}}}}}
```

## The ErrorPayload object

```json
{"openapi":"3.0.1","info":{"title":"Apple Merchant","version":"2.0"},"components":{"schemas":{"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## The ValidateMerchantRequest object

```json
{"openapi":"3.0.1","info":{"title":"Apple Merchant","version":"2.0"},"components":{"schemas":{"ValidateMerchantRequest":{"required":["domain","initiatedFrom","validationURL"],"type":"object","properties":{"initiatedFrom":{"type":"string","description":"The Apple Pay initiative value based on the platform."},"validationURL":{"type":"string","description":"The Apple Pay URL used to request a merchant validation session."},"domain":{"type":"string","description":"The merchant domain registered with Apple Pay."}}}}}}
```

## The MerchantDomainsPayload object

```json
{"openapi":"3.0.1","info":{"title":"Apple Merchant","version":"2.0"},"components":{"schemas":{"MerchantDomainsPayload":{"type":"object","properties":{"merchant-domains":{"type":"array","description":"The list of domains registered for Apple Pay web transactions.","items":{"$ref":"#/components/schemas/merchant-domains"}},"payloadType":{"type":"string","description":"The type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload"},"merchant-domains":{"type":"object","properties":{"merchantId":{"type":"string","description":"The merchant's unique identification number."},"domain":{"type":"string","description":"The merchant's Apple Pay registered domain."},"isEnabled":{"type":"boolean","description":"Indicates whether the merchant domain is registered for Apple Pay transactions."}},"description":"Merchant domain registration information"}}}}
```

## The merchant-domains object

```json
{"openapi":"3.0.1","info":{"title":"Apple Merchant","version":"2.0"},"components":{"schemas":{"merchant-domains":{"type":"object","properties":{"merchantId":{"type":"string","description":"The merchant's unique identification number."},"domain":{"type":"string","description":"The merchant's Apple Pay registered domain."},"isEnabled":{"type":"boolean","description":"Indicates whether the merchant domain is registered for Apple Pay transactions."}},"description":"Merchant domain registration information"}}}}
```

## The MerchantDomainsRequest object

```json
{"openapi":"3.0.1","info":{"title":"Apple Merchant","version":"2.0"},"components":{"schemas":{"MerchantDomainsRequest":{"required":["domainNames"],"type":"object","properties":{"domainNames":{"type":"array","description":"The list of merchant domains to register or deregister for Apple Pay web transactions.","items":{"type":"string","description":"The list of merchant domains to register or deregister for Apple Pay web transactions."}}},"description":"Request Body"}}}}
```

## The AppleMerchantDetails object

```json
{"openapi":"3.0.1","info":{"title":"Apple Merchant","version":"2.0"},"components":{"schemas":{"AppleMerchantDetails":{"required":["partnerMerchantName"],"type":"object","properties":{"domainNames":{"type":"array","description":"The domain names registered for Apple Pay web transactions.","items":{"type":"string","description":"The domain names registered for Apple Pay web transactions."}},"encryptTo":{"type":"string","description":"The Apple Pay encryption destination identifier for the merchant."},"merchantUrl":{"type":"string","description":"The primary domain associated with the Apple Pay merchant."},"partnerInternalMerchantIdentifier":{"type":"string","description":"The internal identifier assigned to the merchant."},"partnerMerchantName":{"type":"string","description":"The registered merchant name used for Apple Pay transactions."}},"description":"Details returned for an Apple Pay merchant"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/mobile/apple-pay-for-web/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
